function  viewBusiness(id) {
    window.open('/salesContract/view?viewInitiation=1&historyId='+id)
    return false;
}

//处理
function updateBusiness(id) {
    salesContractAllQuery.listPage = $('#contractList').getGridParam('page');
    //$(".yk_rightcontent").load('/businessProcessingTask/dispatchMyTask?taskId='+taskId+"&businessKey="+businessKey)
    bootbox.confirm({
        title : '变更合同',
        message : '<div style="text-align:left;font-size:0.12rem">是否变更销售合同？</div>',
        size : 'small',
        buttons : {
            cancel : {
                label : '取消',
                className:'btn-white btn-info'
            },
            confirm : {
                label : '确定',
                className:'btn-white btn-info colorbtn'
            }
        },
        callback:function(result){
            if (result) {
                $.ajax({
                    url:'/salesContract/doChange?id='+id,
                    type:'get',
                    data:{

                    },
                    success:function(data){
                        if( data.success ){
                            new $.zui.Messager('变更成功', {
                                type: 'success'
                            }).show();
                            $('#contractList').trigger('reloadGrid');
                        }else{
                            new $.zui.Messager('变更请求失败:'+data.msg, {
                                type: 'danger'
                            }).show();
                        }
                    },
                    error:function(status){
                        new $.zui.Messager('变更时发生错误:'+status, {
                            type: 'danger'
                        }).show();
                    }
                })
            };
        }
    })
}

// 变更合同
function contractChange (taskId,businessKey) {

    $(".yk_rightcontent").load('/salesContractChange/add?taskId='+taskId+"&businessKey="+businessKey)
}

// 保证金退回
function refundBondChange(taskId,businessKey) {

    $(".yk_rightcontent").load('/salesContract/editReturnBond?taskId='+taskId+"&businessKey="+businessKey)
}

//下载
function dowmLoadBusiness(id) {
    $("#export").attr("href",'/salesContract/downloadAllSalesContractFile?id='+id);
    $("#export").get(0).click();
}

//进度时间轴
function timeLime(id){
    $('.progressTimelinebox').empty();
    $.ajax({
        url:'/businessProcessingTask/doTimelineList',
        type:'get',
        data:{
            'businessKey':id,
            'businessType':'SalesContract'
        },
        success:function(data){
            if( data.success ){
                var text = '';
                for( var i=0;i<data.data.length;i++ ){
                    text += '<div class="progressTimeline"><div><span></span>'+data.data[i].formBusinessName+'</div>';
                    for( var j=0;j<data.data[i].logs.length;j++ ){
                        var assigneeName = data.data[i].logs[j].assigneeName ? data.data[i].logs[j].assigneeName : ''
                        text += '<p><span>'+data.data[i].logs[j].assigneeTypeName+'：'+ assigneeName +'</span>';
                        if( data.data[i].logs[j].status ){
                            text += '<span>状态：'+data.data[i].logs[j].status+'</span>';
                        };
                        if( data.data[i].logs[j].startTime ){
                            text += '<span style="width: 2.3rem">开始时间：'+data.data[i].logs[j].startTime+'</span>';
                        };
                        if( data.data[i].logs[j].endTime ){
                            text += '<span style="width: 2.3rem">完成时间：'+data.data[i].logs[j].endTime+'</span>';
                        };
                        text += '</p>'
                    };
                    j = null;
                    text += '</div>';
                };
                i = null;
                $('.progressTimelinebox').append(text);
            }else{
                new $.zui.Messager('获取时间轴信息失败:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        },
        error:function(error){
            new $.zui.Messager('获取时间轴信息发生错误:'+error, {
                type: 'danger'
            }).show();
        }
    })
    $("#myModal-progressTimeline").modal('show')
};



$(function () {

    // 重新加载列表
    function reloadList(){
        $('#contractList').setGridParam({
            mtype:'GET',
            url : '/businessProcessingTask/doList?simpleClassName=SalesContract',
            datatype : 'json',
            postData: {
                'startDate':salesContractAllQuery.startDate,
                'endDate':salesContractAllQuery.endDate,
                'statusId':salesContractAllQuery.status,
                'fastSearch':salesContractAllQuery.searchName
            },
            page : 1
        });
        $('#contractList').trigger('reloadGrid');
    };

    //初始化日期
    function setDate(select,startDate,endDate){
        $(select).datetimepicker(
            {
                weekStart: 1,
                autoclose: 1,
                todayHighlight: 0,
                startView: 2,
                minView: 2,
                forceParse: 0,
                showMeridian: 1,
                startDate:startDate,
                endDate:endDate,
                format: "yyyy-mm-dd"
            }
        );
        $(select).datetimepicker('setStartDate',startDate);
        $(select).datetimepicker('setEndDate',endDate);
    };
    setDate('#businessStartDate,#businessEndDate','1970-01-01','2116-12-31');

    $("#businessStartDate").val(salesContractAllQuery.startDate);
    $("#businessEndDate").val(salesContractAllQuery.endDate);
    $("#businessStatus").val(salesContractAllQuery.status);
    $("#searchName").val(salesContractAllQuery.searchName);


    // '开始日期'的变化
    $("#businessStartDate").change(function(){
        salesContractAllQuery.startDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessEndDate',$(this).val(),'2116-12-31');
        reloadList();
    });
    $("#businessStartDate").change();

    // '结束日期'的变化
    $("#businessEndDate").change(function(){
        salesContractAllQuery.endDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessStartDate','1918-01-01',$(this).val());
        reloadList();
    });
    $("#businessEndDate").change();

    // 日期输入框可删除
    $('.deleteTime').each(function(i,ele){
        $(ele).prev().change(function(){
            if( $(this).val()!=='' ){
                $(ele).show();
            }else{
                $(ele).hide();
            }
        });
        $(ele).prev().change();
    });

    // 删除日期
    $('.deleteCreateTime').click(function(){
        $(this).prev().val('');
        $(this).hide();
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()=='' ){
            setDate('#businessEndDate,#businessStartDate','1970-01-01','2116-12-31');
        };
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()!='' ){
            setDate('#businessStartDate','1970-01-01','2116-12-31');
            setDate('#businessEndDate',$("#businessStartDate").val(),'2116-12-31');
        };
        if( $("#businessEndDate").val()!='' && $("#businessStartDate").val()=='' ){
            setDate('#businessStartDate','1970-01-01',$("#planEndDate").val());
            setDate('#businessEndDate','1970-01-01','2116-12-31');
        };
        switch( $(this).prev().attr('id') ){
            case 'businessStartDate':salesContractAllQuery.startDate = '';break;
            case 'businessEndDate':salesContractAllQuery.endDate = '';break;
        };
        reloadList();
    });

    // 状态变化
    $("#businessStatus").change(function(){
        salesContractAllQuery.status = $(this).val();
        reloadList();
    });

    // 操作列
    function operateBusiness(cellValue,options,rowObject){
        var btnstr = '';
        //if( $('#timeLine').length>0 ){
        btnstr += '<p><span>时间进度轴</span><i class="operateIconfont operateIcon-shijianzhou" onclick="timeLime(' + rowObject.id + ')"></i></p>';
        //};
        //if( $('#viewContract').length>0 ){
        btnstr += '<p><span>查看</span><i class="operateIconfont operateIcon-chakan" onclick="viewBusiness('+rowObject.id+')"></i></p>';
        //};
        //if( $('#dealContract').length>0 ){
        if(rowObject.buttonFlag) {
            btnstr += '<p><span>变更</span><i class="operateIconfont operateIcon-biangengjilu" onclick="contractChange(' + rowObject.taskId + ','+rowObject.id+')"></i></p>';
        }
        if($('#returnBond').length && rowObject.returnBondButtonFlag) {
            btnstr += '<p><span>保证金退回</span><i class="operateIconfont operateIcon-tuihui" onclick="refundBondChange(' + rowObject.taskId + ','+rowObject.id+')"></i></p>';
        }
        if( rowObject.downloadFileFlag ) {
            if( $('#downloadAllSalesContractFile').length>0 ) {
                btnstr += '<p><span>下载</span><i class="operateIconfont operateIcon-xiazai" onclick="dowmLoadBusiness( '+rowObject.id+')"></i></p>';
            }
        }
        //};
        return '<div class="operateIcon noHover">'+btnstr+'</div>';
    };

    sxUtil.jqGrid('#contractList', {
        colNames: ['ID', '序号','业务编号', '核心企业名称', '业务名称', '状态', '最近更新时间 ', '操作'],
        colModel: [
            {name: 'id', label: 'ID', hidedlg: true, hidden: true, sortable: false, title: false},
            {name: 'orderNumber', label: '序号', sortable: false, width: 50, align: 'center', title: false},
            {name: 'businessNumber', label: '业务编号', sortable: false,align: 'center', title: false},
            {name: 'customerName', label: '核心企业名称', sortable: false, align: 'center', title: false},
            {name: 'businessName', label: '业务名称', sortable: false, align: 'center', title: false},
            {name: 'status.name', label: '状态', sortable: false, align: 'center',  title: false},
            {name: 'gmtModified', label: '最近更新时间', sortable: false, align: 'center',title: false},
            {
                name: 'remark',
                label: '操作',
                sortable: false,
                align: 'left',
                width: 140,
                title: false,
                formatter: operateBusiness
            }
        ],
        height: 'auto',
        mtype: 'GET',
        url: '/businessProcessingTask/doList?simpleClassName=SalesContract',
        pager: "#contractListPage",
        multiselect: false,
        rownumbers: false,
        postData: {
            'startDate':salesContractAllQuery.startDate,
            'endDate':salesContractAllQuery.endDate,
            'statusId':salesContractAllQuery.status,
            'fastSearch':salesContractAllQuery.searchName
        },
        page: salesContractAllQuery.listPage,
        loadError: function () {
            new $.zui.Messager('列表加载失败', {
                type: 'warning'
            }).show();
        }
    }, true);

    //搜索
    $("#searchBusiness").click(function () {
        salesContractAllQuery.startDate = $("#businessStartDate").val();
        salesContractAllQuery.endDate = $("#businessEndDate").val();
        salesContractAllQuery.status = $("#businessStatus").val();
        salesContractAllQuery.searchName = $("#searchName").val();
        salesContractAllQuery.listPage = 1;
        reloadList();
    })

    //切换表格
    $(".projectListTab li").click(function () {

        if ($(this).text() == '待我处理') {
            $(".yk_rightcontent").load('/salesContract/list');
        } else if ($(this).text() == '我已处理') {
            $(".yk_rightcontent").load('/salesContract/processedList');
        }else if ($(this).text() == '全部') {
            $(".yk_rightcontent").load('/salesContract/allList');
        }
    });

})
